Blogtemplates and Rebranding installation difficulties

installing blogtemplates into plugins, activating and deleting blogtemplatesfiles from mu-plugins causes the following error when attempting to visit plugins in backend. Any idea?

Warning: require_once(blogtemplatesfiles/blog_templates.php) [function.require-once]: failed to open stream: No such file or directory in /home/user/public_html/wp-content/mu-plugins/blogtemplates.php on line 30

Fatal error: require_once() [function.require]: Failed opening required 'blogtemplatesfiles/blog_templates.php' (include_path='.usr/lib/phpusr/local/lib/php') in /home/user/public_html/wp-content/mu-plugins/blogtemplates.php on line 30

Also not clear about the install for the new rebranding things - do they go into plugins (entire folder?)

thanks